Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA::ServantNotActive Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::ServantNotActive:

[legend]
Collaboration diagram for PortableServer::POA::ServantNotActive:

[legend]
List of all members.

## Public Methods

| ServantNotActive (void)
| ServantNotActive (const ServantNotActive &)
| ~ServantNotActive (void)
ServantNotActive & | operator= (const ServantNotActive &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const

## Static Public Methods

void | _tao_any_destructor (void *)
ServantNotActive * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::ServantNotActive::ServantNotActive | ( | void |  | ) |

PortableServer::POA::ServantNotActive::ServantNotActive | ( | const ServantNotActive & |  | ) |

PortableServer::POA::ServantNotActive::~ServantNotActive | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::ServantNotActive::_alloc | ( | void |  | ) | `[static]`

PortableServer::POA::ServantNotActive * PortableServer::POA::ServantNotActive::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::ServantNotActive::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::ServantNotActive::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::ServantNotActive::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * PortableServer::POA::ServantNotActive::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::ServantNotActive::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr PortableServer::POA::ServantNotActive::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

ServantNotActive& PortableServer::POA::ServantNotActive::operator= | ( | const ServantNotActive & |  | ) |

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp